# Uses of Interface
java.awt.print.Printable

Packages that use Printable
Package
Description
java.awt.print
Provides classes and interfaces for a general printing API.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of Printable in java.awt.print

Methods in java.awt.print that return Printable
Modifier and Type
Method
Description
`Printable`
Book.`getPrintable(int pageIndex)`
Returns the `Printable` instance responsible for rendering the page specified by `pageIndex`.
`Printable`
Pageable.`getPrintable(int pageIndex)`
Returns the `Printable` instance responsible for rendering the page specified by `pageIndex`.
Methods in java.awt.print with parameters of type Printable
Modifier and Type
Method
Description
`void`
Book.`append(Printable painter, PageFormat page)`
Appends a single page to the end of this `Book`.
`void`
Book.`append(Printable painter, PageFormat page, int numPages)`
Appends `numPages` pages to the end of this `Book`.
`void`
Book.`setPage(int pageIndex, Printable painter, PageFormat page)`
Sets the `PageFormat` and the `Painter` for a specified page number.
`abstract void`
PrinterJob.`setPrintable(Printable painter)`
Calls `painter` to render the pages.
`abstract void`
PrinterJob.`setPrintable(Printable painter, PageFormat format)`
Calls `painter` to render the pages in the specified `format`.

## Uses of Printable in javax.swing

Methods in javax.swing that return Printable
Modifier and Type
Method
Description
`Printable`
JTable.`getPrintable(JTable.PrintMode printMode, MessageFormat headerFormat, MessageFormat footerFormat)`
Return a `Printable` for use in printing this JTable.

## Uses of Printable in javax.swing.text

Methods in javax.swing.text that return Printable
Modifier and Type
Method
Description
`Printable`
JTextComponent.`getPrintable(MessageFormat headerFormat, MessageFormat footerFormat)`
Returns a `Printable` to use for printing the content of this `JTextComponent`.